Get generation status
curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/codemaps/{indexName}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/codemaps/{indexName}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://neo.api.projectdiscovery.io/api/v1/codemaps/{indexName}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"commit_sha": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"freshness": {
"index_age_seconds": 123,
"is_stale": true,
"indexed_at": "2023-11-07T05:31:56Z",
"indexed_branch": "<string>",
"indexed_commit_sha": "<string>"
},
"generation_id": "<string>",
"index_name": "<string>",
"modules_generated": 123,
"started_at": "2023-11-07T05:31:56Z",
"total_modules": 123,
"wiki_progress": {}
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Codemaps
Get generation status
Get the generation status and progress for an index.
GET
/
api
/
v1
/
codemaps
/
{indexName}
/
status
Get generation status
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Path Parameters
Response
Status response
Available options:
pending, running, ready, failed Show child attributes
Show child attributes
⌘I

